Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# TAO_IMR_Op_Add Class Reference

Add Operation. More...

`#include <tao_imr_i.h>`

Inheritance diagram for TAO_IMR_Op_Add:

[legend]
Collaboration diagram for TAO_IMR_Op_Add:

[legend]
List of all members.

## Public Methods
| TAO_IMR_Op_Add (void)
| ~TAO_IMR_Op_Add (void)
virtual int | parse (int argc, ACE_TCHAR **argv)
| Parse arguments. More...
virtual int | run (void)
| Do the work. More...
## Protected Methods
void | setenv (ACE_TCHAR *opt)
| Sets one of the environment variables. More...
void | print_usage (void)
| Prints a message about the usage. More...
## Protected Attributes
ACE_CString | server_name_
| POA server name. More...
ACE_CString | command_line_
| Command line. More...
ImplementationRepository::EnvironmentList | environment_vars_
| Environment Variables. More...
ACE_CString | working_dir_
| Working directory. More...
ImplementationRepository::ActivationMode | activation_
| Activation mode (0 = NORMAL, 1 = MANUAL, 2 = PER_CLIENT, 3 = AUTO_START). More...
ACE_CString | location_
| Hostname where the activator is running. More...

## Detailed Description

Add Operation.

Add is used to register information about a server with the IMR.

## Constructor & Destructor Documentation

TAO_IMR_Op_Add::TAO_IMR_Op_Add | ( | void |  | ) |

TAO_IMR_Op_Add::~TAO_IMR_Op_Add | ( | void |  | ) |

## Member Function Documentation

int TAO_IMR_Op_Add::parse | ( | int | argc,
|  | ACE_TCHAR ** | argv
| ) | `[virtual]`

| Parse arguments. Reimplemented from TAO_IMR_Op.

void TAO_IMR_Op_Add::print_usage | ( | void |  | ) | `[protected]`

| Prints a message about the usage.

int TAO_IMR_Op_Add::run | ( | void |  | ) | `[virtual]`

| Do the work. Reimplemented from TAO_IMR_Op.

void TAO_IMR_Op_Add::setenv | ( | ACE_TCHAR * | opt | ) | `[protected]`

| Sets one of the environment variables.

## Member Data Documentation

ImplementationRepository::ActivationMode TAO_IMR_Op_Add::activation_`[protected]`

| Activation mode (0 = NORMAL, 1 = MANUAL, 2 = PER_CLIENT, 3 = AUTO_START).

ACE_CString TAO_IMR_Op_Add::command_line_`[protected]`

| Command line.

ImplementationRepository::EnvironmentList TAO_IMR_Op_Add::environment_vars_`[protected]`

| Environment Variables.

ACE_CString TAO_IMR_Op_Add::location_`[protected]`

| Hostname where the activator is running.

ACE_CString TAO_IMR_Op_Add::server_name_`[protected]`

| POA server name.

ACE_CString TAO_IMR_Op_Add::working_dir_`[protected]`

| Working directory.

The documentation for this class was generated from the following files:

- tao_imr_i.h
- tao_imr_i.cpp